/*
Copyright (C) 2020-2021 Alessio Garzi <gun101@email.it>
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
You should have received a copy of the GNU General Public
License along with this program; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*/

#ifndef _CUSTOMTRIGONOMETRY_H_
#define _CUSTOMTRIGONOMETRY_H_

#include "matrix.h"

fix16_t fix16_sinlist[360];
fix16_t fix16_sinlist_inv[360];
fix16_t fix16_coslist[360];

void fix16_sinlist_init()
{
    fix16_sinlist[0]=fix16_div(fix16_from_int(0),fix16_from_int(10000));
    fix16_sinlist[1]=fix16_div(fix16_from_int(175),fix16_from_int(10000));
    fix16_sinlist[2]=fix16_div(fix16_from_int(349),fix16_from_int(10000));
    fix16_sinlist[3]=fix16_div(fix16_from_int(523),fix16_from_int(10000));
    fix16_sinlist[4]=fix16_div(fix16_from_int(698),fix16_from_int(10000));
    fix16_sinlist[5]=fix16_div(fix16_from_int(872),fix16_from_int(10000));
    fix16_sinlist[6]=fix16_div(fix16_from_int(1045),fix16_from_int(10000));
    fix16_sinlist[7]=fix16_div(fix16_from_int(1219),fix16_from_int(10000));
    fix16_sinlist[8]=fix16_div(fix16_from_int(1392),fix16_from_int(10000));
    fix16_sinlist[9]=fix16_div(fix16_from_int(1564),fix16_from_int(10000));
    fix16_sinlist[10]=fix16_div(fix16_from_int(1736),fix16_from_int(10000));
    fix16_sinlist[11]=fix16_div(fix16_from_int(1908),fix16_from_int(10000));
    fix16_sinlist[12]=fix16_div(fix16_from_int(2079),fix16_from_int(10000));
    fix16_sinlist[13]=fix16_div(fix16_from_int(2250),fix16_from_int(10000));
    fix16_sinlist[14]=fix16_div(fix16_from_int(2419),fix16_from_int(10000));
    fix16_sinlist[15]=fix16_div(fix16_from_int(2588),fix16_from_int(10000));
    fix16_sinlist[16]=fix16_div(fix16_from_int(2756),fix16_from_int(10000));
    fix16_sinlist[17]=fix16_div(fix16_from_int(2924),fix16_from_int(10000));
    fix16_sinlist[18]=fix16_div(fix16_from_int(3090),fix16_from_int(10000));
    fix16_sinlist[19]=fix16_div(fix16_from_int(3256),fix16_from_int(10000));
    fix16_sinlist[20]=fix16_div(fix16_from_int(3420),fix16_from_int(10000));
    fix16_sinlist[21]=fix16_div(fix16_from_int(3584),fix16_from_int(10000));
    fix16_sinlist[22]=fix16_div(fix16_from_int(3746),fix16_from_int(10000));
    fix16_sinlist[23]=fix16_div(fix16_from_int(3907),fix16_from_int(10000));
    fix16_sinlist[24]=fix16_div(fix16_from_int(4067),fix16_from_int(10000));
    fix16_sinlist[25]=fix16_div(fix16_from_int(4226),fix16_from_int(10000));
    fix16_sinlist[26]=fix16_div(fix16_from_int(4384),fix16_from_int(10000));
    fix16_sinlist[27]=fix16_div(fix16_from_int(4540),fix16_from_int(10000));
    fix16_sinlist[28]=fix16_div(fix16_from_int(4695),fix16_from_int(10000));
    fix16_sinlist[29]=fix16_div(fix16_from_int(4848),fix16_from_int(10000));
    fix16_sinlist[30]=fix16_div(fix16_from_int(5000),fix16_from_int(10000));
    fix16_sinlist[31]=fix16_div(fix16_from_int(5150),fix16_from_int(10000));
    fix16_sinlist[32]=fix16_div(fix16_from_int(5299),fix16_from_int(10000));
    fix16_sinlist[33]=fix16_div(fix16_from_int(5446),fix16_from_int(10000));
    fix16_sinlist[34]=fix16_div(fix16_from_int(5592),fix16_from_int(10000));
    fix16_sinlist[35]=fix16_div(fix16_from_int(5736),fix16_from_int(10000));
    fix16_sinlist[36]=fix16_div(fix16_from_int(5878),fix16_from_int(10000));
    fix16_sinlist[37]=fix16_div(fix16_from_int(6018),fix16_from_int(10000));
    fix16_sinlist[38]=fix16_div(fix16_from_int(6157),fix16_from_int(10000));
    fix16_sinlist[39]=fix16_div(fix16_from_int(6293),fix16_from_int(10000));
    fix16_sinlist[40]=fix16_div(fix16_from_int(6428),fix16_from_int(10000));
    fix16_sinlist[41]=fix16_div(fix16_from_int(6561),fix16_from_int(10000));
    fix16_sinlist[42]=fix16_div(fix16_from_int(6691),fix16_from_int(10000));
    fix16_sinlist[43]=fix16_div(fix16_from_int(6820),fix16_from_int(10000));
    fix16_sinlist[44]=fix16_div(fix16_from_int(6947),fix16_from_int(10000));
    fix16_sinlist[45]=fix16_div(fix16_from_int(7071),fix16_from_int(10000));
    fix16_sinlist[46]=fix16_div(fix16_from_int(7193),fix16_from_int(10000));
    fix16_sinlist[47]=fix16_div(fix16_from_int(7314),fix16_from_int(10000));
    fix16_sinlist[48]=fix16_div(fix16_from_int(7431),fix16_from_int(10000));
    fix16_sinlist[49]=fix16_div(fix16_from_int(7547),fix16_from_int(10000));
    fix16_sinlist[50]=fix16_div(fix16_from_int(7660),fix16_from_int(10000));
    fix16_sinlist[51]=fix16_div(fix16_from_int(7771),fix16_from_int(10000));
    fix16_sinlist[52]=fix16_div(fix16_from_int(7880),fix16_from_int(10000));
    fix16_sinlist[53]=fix16_div(fix16_from_int(7986),fix16_from_int(10000));
    fix16_sinlist[54]=fix16_div(fix16_from_int(8090),fix16_from_int(10000));
    fix16_sinlist[55]=fix16_div(fix16_from_int(8192),fix16_from_int(10000));
    fix16_sinlist[56]=fix16_div(fix16_from_int(8290),fix16_from_int(10000));
    fix16_sinlist[57]=fix16_div(fix16_from_int(8387),fix16_from_int(10000));
    fix16_sinlist[58]=fix16_div(fix16_from_int(8480),fix16_from_int(10000));
    fix16_sinlist[59]=fix16_div(fix16_from_int(8572),fix16_from_int(10000));
    fix16_sinlist[60]=fix16_div(fix16_from_int(8660),fix16_from_int(10000));
    fix16_sinlist[61]=fix16_div(fix16_from_int(8746),fix16_from_int(10000));
    fix16_sinlist[62]=fix16_div(fix16_from_int(8829),fix16_from_int(10000));
    fix16_sinlist[63]=fix16_div(fix16_from_int(8910),fix16_from_int(10000));
    fix16_sinlist[64]=fix16_div(fix16_from_int(8988),fix16_from_int(10000));
    fix16_sinlist[65]=fix16_div(fix16_from_int(9063),fix16_from_int(10000));
    fix16_sinlist[66]=fix16_div(fix16_from_int(9135),fix16_from_int(10000));
    fix16_sinlist[67]=fix16_div(fix16_from_int(9205),fix16_from_int(10000));
    fix16_sinlist[68]=fix16_div(fix16_from_int(9272),fix16_from_int(10000));
    fix16_sinlist[69]=fix16_div(fix16_from_int(9336),fix16_from_int(10000));
    fix16_sinlist[70]=fix16_div(fix16_from_int(9397),fix16_from_int(10000));
    fix16_sinlist[71]=fix16_div(fix16_from_int(9455),fix16_from_int(10000));
    fix16_sinlist[72]=fix16_div(fix16_from_int(9511),fix16_from_int(10000));
    fix16_sinlist[73]=fix16_div(fix16_from_int(9563),fix16_from_int(10000));
    fix16_sinlist[74]=fix16_div(fix16_from_int(9613),fix16_from_int(10000));
    fix16_sinlist[75]=fix16_div(fix16_from_int(9659),fix16_from_int(10000));
    fix16_sinlist[76]=fix16_div(fix16_from_int(9703),fix16_from_int(10000));
    fix16_sinlist[77]=fix16_div(fix16_from_int(9744),fix16_from_int(10000));
    fix16_sinlist[78]=fix16_div(fix16_from_int(9781),fix16_from_int(10000));
    fix16_sinlist[79]=fix16_div(fix16_from_int(9816),fix16_from_int(10000));
    fix16_sinlist[80]=fix16_div(fix16_from_int(9848),fix16_from_int(10000));
    fix16_sinlist[81]=fix16_div(fix16_from_int(9877),fix16_from_int(10000));
    fix16_sinlist[82]=fix16_div(fix16_from_int(9903),fix16_from_int(10000));
    fix16_sinlist[83]=fix16_div(fix16_from_int(9925),fix16_from_int(10000));
    fix16_sinlist[84]=fix16_div(fix16_from_int(9945),fix16_from_int(10000));
    fix16_sinlist[85]=fix16_div(fix16_from_int(9962),fix16_from_int(10000));
    fix16_sinlist[86]=fix16_div(fix16_from_int(9976),fix16_from_int(10000));
    fix16_sinlist[87]=fix16_div(fix16_from_int(9986),fix16_from_int(10000));
    fix16_sinlist[88]=fix16_div(fix16_from_int(9994),fix16_from_int(10000));
    fix16_sinlist[89]=fix16_div(fix16_from_int(9998),fix16_from_int(10000));
    fix16_sinlist[90]=fix16_div(fix16_from_int(10000),fix16_from_int(10000));
    fix16_sinlist[91]=fix16_div(fix16_from_int(9998),fix16_from_int(10000));
    fix16_sinlist[92]=fix16_div(fix16_from_int(9994),fix16_from_int(10000));
    fix16_sinlist[93]=fix16_div(fix16_from_int(9986),fix16_from_int(10000));
    fix16_sinlist[94]=fix16_div(fix16_from_int(9976),fix16_from_int(10000));
    fix16_sinlist[95]=fix16_div(fix16_from_int(9962),fix16_from_int(10000));
    fix16_sinlist[96]=fix16_div(fix16_from_int(9945),fix16_from_int(10000));
    fix16_sinlist[97]=fix16_div(fix16_from_int(9925),fix16_from_int(10000));
    fix16_sinlist[98]=fix16_div(fix16_from_int(9903),fix16_from_int(10000));
    fix16_sinlist[99]=fix16_div(fix16_from_int(9877),fix16_from_int(10000));
    fix16_sinlist[100]=fix16_div(fix16_from_int(9848),fix16_from_int(10000));
    fix16_sinlist[101]=fix16_div(fix16_from_int(9816),fix16_from_int(10000));
    fix16_sinlist[102]=fix16_div(fix16_from_int(9781),fix16_from_int(10000));
    fix16_sinlist[103]=fix16_div(fix16_from_int(9744),fix16_from_int(10000));
    fix16_sinlist[104]=fix16_div(fix16_from_int(9703),fix16_from_int(10000));
    fix16_sinlist[105]=fix16_div(fix16_from_int(9659),fix16_from_int(10000));
    fix16_sinlist[106]=fix16_div(fix16_from_int(9613),fix16_from_int(10000));
    fix16_sinlist[107]=fix16_div(fix16_from_int(9563),fix16_from_int(10000));
    fix16_sinlist[108]=fix16_div(fix16_from_int(9511),fix16_from_int(10000));
    fix16_sinlist[109]=fix16_div(fix16_from_int(9455),fix16_from_int(10000));
    fix16_sinlist[110]=fix16_div(fix16_from_int(9397),fix16_from_int(10000));
    fix16_sinlist[111]=fix16_div(fix16_from_int(9336),fix16_from_int(10000));
    fix16_sinlist[112]=fix16_div(fix16_from_int(9272),fix16_from_int(10000));
    fix16_sinlist[113]=fix16_div(fix16_from_int(9205),fix16_from_int(10000));
    fix16_sinlist[114]=fix16_div(fix16_from_int(9135),fix16_from_int(10000));
    fix16_sinlist[115]=fix16_div(fix16_from_int(9063),fix16_from_int(10000));
    fix16_sinlist[116]=fix16_div(fix16_from_int(8988),fix16_from_int(10000));
    fix16_sinlist[117]=fix16_div(fix16_from_int(8910),fix16_from_int(10000));
    fix16_sinlist[118]=fix16_div(fix16_from_int(8829),fix16_from_int(10000));
    fix16_sinlist[119]=fix16_div(fix16_from_int(8746),fix16_from_int(10000));
    fix16_sinlist[120]=fix16_div(fix16_from_int(8660),fix16_from_int(10000));
    fix16_sinlist[121]=fix16_div(fix16_from_int(8572),fix16_from_int(10000));
    fix16_sinlist[122]=fix16_div(fix16_from_int(8480),fix16_from_int(10000));
    fix16_sinlist[123]=fix16_div(fix16_from_int(8387),fix16_from_int(10000));
    fix16_sinlist[124]=fix16_div(fix16_from_int(8290),fix16_from_int(10000));
    fix16_sinlist[125]=fix16_div(fix16_from_int(8192),fix16_from_int(10000));
    fix16_sinlist[126]=fix16_div(fix16_from_int(8090),fix16_from_int(10000));
    fix16_sinlist[127]=fix16_div(fix16_from_int(7986),fix16_from_int(10000));
    fix16_sinlist[128]=fix16_div(fix16_from_int(7880),fix16_from_int(10000));
    fix16_sinlist[129]=fix16_div(fix16_from_int(7771),fix16_from_int(10000));
    fix16_sinlist[130]=fix16_div(fix16_from_int(7660),fix16_from_int(10000));
    fix16_sinlist[131]=fix16_div(fix16_from_int(7547),fix16_from_int(10000));
    fix16_sinlist[132]=fix16_div(fix16_from_int(7431),fix16_from_int(10000));
    fix16_sinlist[133]=fix16_div(fix16_from_int(7314),fix16_from_int(10000));
    fix16_sinlist[134]=fix16_div(fix16_from_int(7193),fix16_from_int(10000));
    fix16_sinlist[135]=fix16_div(fix16_from_int(7071),fix16_from_int(10000));
    fix16_sinlist[136]=fix16_div(fix16_from_int(6947),fix16_from_int(10000));
    fix16_sinlist[137]=fix16_div(fix16_from_int(6820),fix16_from_int(10000));
    fix16_sinlist[138]=fix16_div(fix16_from_int(6691),fix16_from_int(10000));
    fix16_sinlist[139]=fix16_div(fix16_from_int(6561),fix16_from_int(10000));
    fix16_sinlist[140]=fix16_div(fix16_from_int(6428),fix16_from_int(10000));
    fix16_sinlist[141]=fix16_div(fix16_from_int(6293),fix16_from_int(10000));
    fix16_sinlist[142]=fix16_div(fix16_from_int(6157),fix16_from_int(10000));
    fix16_sinlist[143]=fix16_div(fix16_from_int(6018),fix16_from_int(10000));
    fix16_sinlist[144]=fix16_div(fix16_from_int(5878),fix16_from_int(10000));
    fix16_sinlist[145]=fix16_div(fix16_from_int(5736),fix16_from_int(10000));
    fix16_sinlist[146]=fix16_div(fix16_from_int(5592),fix16_from_int(10000));
    fix16_sinlist[147]=fix16_div(fix16_from_int(5446),fix16_from_int(10000));
    fix16_sinlist[148]=fix16_div(fix16_from_int(5299),fix16_from_int(10000));
    fix16_sinlist[149]=fix16_div(fix16_from_int(5150),fix16_from_int(10000));
    fix16_sinlist[150]=fix16_div(fix16_from_int(5000),fix16_from_int(10000));
    fix16_sinlist[151]=fix16_div(fix16_from_int(4848),fix16_from_int(10000));
    fix16_sinlist[152]=fix16_div(fix16_from_int(4695),fix16_from_int(10000));
    fix16_sinlist[153]=fix16_div(fix16_from_int(4540),fix16_from_int(10000));
    fix16_sinlist[154]=fix16_div(fix16_from_int(4384),fix16_from_int(10000));
    fix16_sinlist[155]=fix16_div(fix16_from_int(4226),fix16_from_int(10000));
    fix16_sinlist[156]=fix16_div(fix16_from_int(4067),fix16_from_int(10000));
    fix16_sinlist[157]=fix16_div(fix16_from_int(3907),fix16_from_int(10000));
    fix16_sinlist[158]=fix16_div(fix16_from_int(3746),fix16_from_int(10000));
    fix16_sinlist[159]=fix16_div(fix16_from_int(3584),fix16_from_int(10000));
    fix16_sinlist[160]=fix16_div(fix16_from_int(3420),fix16_from_int(10000));
    fix16_sinlist[161]=fix16_div(fix16_from_int(3256),fix16_from_int(10000));
    fix16_sinlist[162]=fix16_div(fix16_from_int(3090),fix16_from_int(10000));
    fix16_sinlist[163]=fix16_div(fix16_from_int(2924),fix16_from_int(10000));
    fix16_sinlist[164]=fix16_div(fix16_from_int(2756),fix16_from_int(10000));
    fix16_sinlist[165]=fix16_div(fix16_from_int(2588),fix16_from_int(10000));
    fix16_sinlist[166]=fix16_div(fix16_from_int(2419),fix16_from_int(10000));
    fix16_sinlist[167]=fix16_div(fix16_from_int(2250),fix16_from_int(10000));
    fix16_sinlist[168]=fix16_div(fix16_from_int(2079),fix16_from_int(10000));
    fix16_sinlist[169]=fix16_div(fix16_from_int(1908),fix16_from_int(10000));
    fix16_sinlist[170]=fix16_div(fix16_from_int(1736),fix16_from_int(10000));
    fix16_sinlist[171]=fix16_div(fix16_from_int(1564),fix16_from_int(10000));
    fix16_sinlist[172]=fix16_div(fix16_from_int(1392),fix16_from_int(10000));
    fix16_sinlist[173]=fix16_div(fix16_from_int(1219),fix16_from_int(10000));
    fix16_sinlist[174]=fix16_div(fix16_from_int(1045),fix16_from_int(10000));
    fix16_sinlist[175]=fix16_div(fix16_from_int(872),fix16_from_int(10000));
    fix16_sinlist[176]=fix16_div(fix16_from_int(698),fix16_from_int(10000));
    fix16_sinlist[177]=fix16_div(fix16_from_int(523),fix16_from_int(10000));
    fix16_sinlist[178]=fix16_div(fix16_from_int(349),fix16_from_int(10000));
    fix16_sinlist[179]=fix16_div(fix16_from_int(175),fix16_from_int(10000));
    fix16_sinlist[180]=fix16_div(fix16_from_int(0),fix16_from_int(10000));
    fix16_sinlist[181]=fix16_div(fix16_from_int(-175),fix16_from_int(10000));
    fix16_sinlist[182]=fix16_div(fix16_from_int(-349),fix16_from_int(10000));
    fix16_sinlist[183]=fix16_div(fix16_from_int(-523),fix16_from_int(10000));
    fix16_sinlist[184]=fix16_div(fix16_from_int(-698),fix16_from_int(10000));
    fix16_sinlist[185]=fix16_div(fix16_from_int(-872),fix16_from_int(10000));
    fix16_sinlist[186]=fix16_div(fix16_from_int(-1045),fix16_from_int(10000));
    fix16_sinlist[187]=fix16_div(fix16_from_int(-1219),fix16_from_int(10000));
    fix16_sinlist[188]=fix16_div(fix16_from_int(-1392),fix16_from_int(10000));
    fix16_sinlist[189]=fix16_div(fix16_from_int(-1564),fix16_from_int(10000));
    fix16_sinlist[190]=fix16_div(fix16_from_int(-1736),fix16_from_int(10000));
    fix16_sinlist[191]=fix16_div(fix16_from_int(-1908),fix16_from_int(10000));
    fix16_sinlist[192]=fix16_div(fix16_from_int(-2079),fix16_from_int(10000));
    fix16_sinlist[193]=fix16_div(fix16_from_int(-2250),fix16_from_int(10000));
    fix16_sinlist[194]=fix16_div(fix16_from_int(-2419),fix16_from_int(10000));
    fix16_sinlist[195]=fix16_div(fix16_from_int(-2588),fix16_from_int(10000));
    fix16_sinlist[196]=fix16_div(fix16_from_int(-2756),fix16_from_int(10000));
    fix16_sinlist[197]=fix16_div(fix16_from_int(-2924),fix16_from_int(10000));
    fix16_sinlist[198]=fix16_div(fix16_from_int(-3090),fix16_from_int(10000));
    fix16_sinlist[199]=fix16_div(fix16_from_int(-3256),fix16_from_int(10000));
    fix16_sinlist[200]=fix16_div(fix16_from_int(-3420),fix16_from_int(10000));
    fix16_sinlist[201]=fix16_div(fix16_from_int(-3584),fix16_from_int(10000));
    fix16_sinlist[202]=fix16_div(fix16_from_int(-3746),fix16_from_int(10000));
    fix16_sinlist[203]=fix16_div(fix16_from_int(-3907),fix16_from_int(10000));
    fix16_sinlist[204]=fix16_div(fix16_from_int(-4067),fix16_from_int(10000));
    fix16_sinlist[205]=fix16_div(fix16_from_int(-4226),fix16_from_int(10000));
    fix16_sinlist[206]=fix16_div(fix16_from_int(-4384),fix16_from_int(10000));
    fix16_sinlist[207]=fix16_div(fix16_from_int(-4540),fix16_from_int(10000));
    fix16_sinlist[208]=fix16_div(fix16_from_int(-4695),fix16_from_int(10000));
    fix16_sinlist[209]=fix16_div(fix16_from_int(-4848),fix16_from_int(10000));
    fix16_sinlist[210]=fix16_div(fix16_from_int(-5000),fix16_from_int(10000));
    fix16_sinlist[211]=fix16_div(fix16_from_int(-5150),fix16_from_int(10000));
    fix16_sinlist[212]=fix16_div(fix16_from_int(-5299),fix16_from_int(10000));
    fix16_sinlist[213]=fix16_div(fix16_from_int(-5446),fix16_from_int(10000));
    fix16_sinlist[214]=fix16_div(fix16_from_int(-5592),fix16_from_int(10000));
    fix16_sinlist[215]=fix16_div(fix16_from_int(-5736),fix16_from_int(10000));
    fix16_sinlist[216]=fix16_div(fix16_from_int(-5878),fix16_from_int(10000));
    fix16_sinlist[217]=fix16_div(fix16_from_int(-6018),fix16_from_int(10000));
    fix16_sinlist[218]=fix16_div(fix16_from_int(-6157),fix16_from_int(10000));
    fix16_sinlist[219]=fix16_div(fix16_from_int(-6293),fix16_from_int(10000));
    fix16_sinlist[220]=fix16_div(fix16_from_int(-6428),fix16_from_int(10000));
    fix16_sinlist[221]=fix16_div(fix16_from_int(-6561),fix16_from_int(10000));
    fix16_sinlist[222]=fix16_div(fix16_from_int(-6691),fix16_from_int(10000));
    fix16_sinlist[223]=fix16_div(fix16_from_int(-6820),fix16_from_int(10000));
    fix16_sinlist[224]=fix16_div(fix16_from_int(-6947),fix16_from_int(10000));
    fix16_sinlist[225]=fix16_div(fix16_from_int(-7071),fix16_from_int(10000));
    fix16_sinlist[226]=fix16_div(fix16_from_int(-7193),fix16_from_int(10000));
    fix16_sinlist[227]=fix16_div(fix16_from_int(-7314),fix16_from_int(10000));
    fix16_sinlist[228]=fix16_div(fix16_from_int(-7431),fix16_from_int(10000));
    fix16_sinlist[229]=fix16_div(fix16_from_int(-7547),fix16_from_int(10000));
    fix16_sinlist[230]=fix16_div(fix16_from_int(-7660),fix16_from_int(10000));
    fix16_sinlist[231]=fix16_div(fix16_from_int(-7771),fix16_from_int(10000));
    fix16_sinlist[232]=fix16_div(fix16_from_int(-7880),fix16_from_int(10000));
    fix16_sinlist[233]=fix16_div(fix16_from_int(-7986),fix16_from_int(10000));
    fix16_sinlist[234]=fix16_div(fix16_from_int(-8090),fix16_from_int(10000));
    fix16_sinlist[235]=fix16_div(fix16_from_int(-8192),fix16_from_int(10000));
    fix16_sinlist[236]=fix16_div(fix16_from_int(-8290),fix16_from_int(10000));
    fix16_sinlist[237]=fix16_div(fix16_from_int(-8387),fix16_from_int(10000));
    fix16_sinlist[238]=fix16_div(fix16_from_int(-8480),fix16_from_int(10000));
    fix16_sinlist[239]=fix16_div(fix16_from_int(-8572),fix16_from_int(10000));
    fix16_sinlist[240]=fix16_div(fix16_from_int(-8660),fix16_from_int(10000));
    fix16_sinlist[241]=fix16_div(fix16_from_int(-8746),fix16_from_int(10000));
    fix16_sinlist[242]=fix16_div(fix16_from_int(-8829),fix16_from_int(10000));
    fix16_sinlist[243]=fix16_div(fix16_from_int(-8910),fix16_from_int(10000));
    fix16_sinlist[244]=fix16_div(fix16_from_int(-8988),fix16_from_int(10000));
    fix16_sinlist[245]=fix16_div(fix16_from_int(-9063),fix16_from_int(10000));
    fix16_sinlist[246]=fix16_div(fix16_from_int(-9135),fix16_from_int(10000));
    fix16_sinlist[247]=fix16_div(fix16_from_int(-9205),fix16_from_int(10000));
    fix16_sinlist[248]=fix16_div(fix16_from_int(-9272),fix16_from_int(10000));
    fix16_sinlist[249]=fix16_div(fix16_from_int(-9336),fix16_from_int(10000));
    fix16_sinlist[250]=fix16_div(fix16_from_int(-9397),fix16_from_int(10000));
    fix16_sinlist[251]=fix16_div(fix16_from_int(-9455),fix16_from_int(10000));
    fix16_sinlist[252]=fix16_div(fix16_from_int(-9511),fix16_from_int(10000));
    fix16_sinlist[253]=fix16_div(fix16_from_int(-9563),fix16_from_int(10000));
    fix16_sinlist[254]=fix16_div(fix16_from_int(-9613),fix16_from_int(10000));
    fix16_sinlist[255]=fix16_div(fix16_from_int(-9659),fix16_from_int(10000));
    fix16_sinlist[256]=fix16_div(fix16_from_int(-9703),fix16_from_int(10000));
    fix16_sinlist[257]=fix16_div(fix16_from_int(-9744),fix16_from_int(10000));
    fix16_sinlist[258]=fix16_div(fix16_from_int(-9781),fix16_from_int(10000));
    fix16_sinlist[259]=fix16_div(fix16_from_int(-9816),fix16_from_int(10000));
    fix16_sinlist[260]=fix16_div(fix16_from_int(-9848),fix16_from_int(10000));
    fix16_sinlist[261]=fix16_div(fix16_from_int(-9877),fix16_from_int(10000));
    fix16_sinlist[262]=fix16_div(fix16_from_int(-9903),fix16_from_int(10000));
    fix16_sinlist[263]=fix16_div(fix16_from_int(-9925),fix16_from_int(10000));
    fix16_sinlist[264]=fix16_div(fix16_from_int(-9945),fix16_from_int(10000));
    fix16_sinlist[265]=fix16_div(fix16_from_int(-9962),fix16_from_int(10000));
    fix16_sinlist[266]=fix16_div(fix16_from_int(-9976),fix16_from_int(10000));
    fix16_sinlist[267]=fix16_div(fix16_from_int(-9986),fix16_from_int(10000));
    fix16_sinlist[268]=fix16_div(fix16_from_int(-9994),fix16_from_int(10000));
    fix16_sinlist[269]=fix16_div(fix16_from_int(-9998),fix16_from_int(10000));
    fix16_sinlist[270]=fix16_div(fix16_from_int(-10000),fix16_from_int(10000));
    fix16_sinlist[271]=fix16_div(fix16_from_int(-9998),fix16_from_int(10000));
    fix16_sinlist[272]=fix16_div(fix16_from_int(-9994),fix16_from_int(10000));
    fix16_sinlist[273]=fix16_div(fix16_from_int(-9986),fix16_from_int(10000));
    fix16_sinlist[274]=fix16_div(fix16_from_int(-9976),fix16_from_int(10000));
    fix16_sinlist[275]=fix16_div(fix16_from_int(-9962),fix16_from_int(10000));
    fix16_sinlist[276]=fix16_div(fix16_from_int(-9945),fix16_from_int(10000));
    fix16_sinlist[277]=fix16_div(fix16_from_int(-9925),fix16_from_int(10000));
    fix16_sinlist[278]=fix16_div(fix16_from_int(-9903),fix16_from_int(10000));
    fix16_sinlist[279]=fix16_div(fix16_from_int(-9877),fix16_from_int(10000));
    fix16_sinlist[280]=fix16_div(fix16_from_int(-9848),fix16_from_int(10000));
    fix16_sinlist[281]=fix16_div(fix16_from_int(-9816),fix16_from_int(10000));
    fix16_sinlist[282]=fix16_div(fix16_from_int(-9781),fix16_from_int(10000));
    fix16_sinlist[283]=fix16_div(fix16_from_int(-9744),fix16_from_int(10000));
    fix16_sinlist[284]=fix16_div(fix16_from_int(-9703),fix16_from_int(10000));
    fix16_sinlist[285]=fix16_div(fix16_from_int(-9659),fix16_from_int(10000));
    fix16_sinlist[286]=fix16_div(fix16_from_int(-9613),fix16_from_int(10000));
    fix16_sinlist[287]=fix16_div(fix16_from_int(-9563),fix16_from_int(10000));
    fix16_sinlist[288]=fix16_div(fix16_from_int(-9511),fix16_from_int(10000));
    fix16_sinlist[289]=fix16_div(fix16_from_int(-9455),fix16_from_int(10000));
    fix16_sinlist[290]=fix16_div(fix16_from_int(-9397),fix16_from_int(10000));
    fix16_sinlist[291]=fix16_div(fix16_from_int(-9336),fix16_from_int(10000));
    fix16_sinlist[292]=fix16_div(fix16_from_int(-9272),fix16_from_int(10000));
    fix16_sinlist[293]=fix16_div(fix16_from_int(-9205),fix16_from_int(10000));
    fix16_sinlist[294]=fix16_div(fix16_from_int(-9135),fix16_from_int(10000));
    fix16_sinlist[295]=fix16_div(fix16_from_int(-9063),fix16_from_int(10000));
    fix16_sinlist[296]=fix16_div(fix16_from_int(-8988),fix16_from_int(10000));
    fix16_sinlist[297]=fix16_div(fix16_from_int(-8910),fix16_from_int(10000));
    fix16_sinlist[298]=fix16_div(fix16_from_int(-8829),fix16_from_int(10000));
    fix16_sinlist[299]=fix16_div(fix16_from_int(-8746),fix16_from_int(10000));
    fix16_sinlist[300]=fix16_div(fix16_from_int(-8660),fix16_from_int(10000));
    fix16_sinlist[301]=fix16_div(fix16_from_int(-8572),fix16_from_int(10000));
    fix16_sinlist[302]=fix16_div(fix16_from_int(-8480),fix16_from_int(10000));
    fix16_sinlist[303]=fix16_div(fix16_from_int(-8387),fix16_from_int(10000));
    fix16_sinlist[304]=fix16_div(fix16_from_int(-8290),fix16_from_int(10000));
    fix16_sinlist[305]=fix16_div(fix16_from_int(-8192),fix16_from_int(10000));
    fix16_sinlist[306]=fix16_div(fix16_from_int(-8090),fix16_from_int(10000));
    fix16_sinlist[307]=fix16_div(fix16_from_int(-7986),fix16_from_int(10000));
    fix16_sinlist[308]=fix16_div(fix16_from_int(-7880),fix16_from_int(10000));
    fix16_sinlist[309]=fix16_div(fix16_from_int(-7771),fix16_from_int(10000));
    fix16_sinlist[310]=fix16_div(fix16_from_int(-7660),fix16_from_int(10000));
    fix16_sinlist[311]=fix16_div(fix16_from_int(-7547),fix16_from_int(10000));
    fix16_sinlist[312]=fix16_div(fix16_from_int(-7431),fix16_from_int(10000));
    fix16_sinlist[313]=fix16_div(fix16_from_int(-7314),fix16_from_int(10000));
    fix16_sinlist[314]=fix16_div(fix16_from_int(-7193),fix16_from_int(10000));
    fix16_sinlist[315]=fix16_div(fix16_from_int(-7071),fix16_from_int(10000));
    fix16_sinlist[316]=fix16_div(fix16_from_int(-6947),fix16_from_int(10000));
    fix16_sinlist[317]=fix16_div(fix16_from_int(-6820),fix16_from_int(10000));
    fix16_sinlist[318]=fix16_div(fix16_from_int(-6691),fix16_from_int(10000));
    fix16_sinlist[319]=fix16_div(fix16_from_int(-6561),fix16_from_int(10000));
    fix16_sinlist[320]=fix16_div(fix16_from_int(-6428),fix16_from_int(10000));
    fix16_sinlist[321]=fix16_div(fix16_from_int(-6293),fix16_from_int(10000));
    fix16_sinlist[322]=fix16_div(fix16_from_int(-6157),fix16_from_int(10000));
    fix16_sinlist[323]=fix16_div(fix16_from_int(-6018),fix16_from_int(10000));
    fix16_sinlist[324]=fix16_div(fix16_from_int(-5878),fix16_from_int(10000));
    fix16_sinlist[325]=fix16_div(fix16_from_int(-5736),fix16_from_int(10000));
    fix16_sinlist[326]=fix16_div(fix16_from_int(-5592),fix16_from_int(10000));
    fix16_sinlist[327]=fix16_div(fix16_from_int(-5446),fix16_from_int(10000));
    fix16_sinlist[328]=fix16_div(fix16_from_int(-5299),fix16_from_int(10000));
    fix16_sinlist[329]=fix16_div(fix16_from_int(-5150),fix16_from_int(10000));
    fix16_sinlist[330]=fix16_div(fix16_from_int(-5000),fix16_from_int(10000));
    fix16_sinlist[331]=fix16_div(fix16_from_int(-4848),fix16_from_int(10000));
    fix16_sinlist[332]=fix16_div(fix16_from_int(-4695),fix16_from_int(10000));
    fix16_sinlist[333]=fix16_div(fix16_from_int(-4540),fix16_from_int(10000));
    fix16_sinlist[334]=fix16_div(fix16_from_int(-4384),fix16_from_int(10000));
    fix16_sinlist[335]=fix16_div(fix16_from_int(-4226),fix16_from_int(10000));
    fix16_sinlist[336]=fix16_div(fix16_from_int(-4067),fix16_from_int(10000));
    fix16_sinlist[337]=fix16_div(fix16_from_int(-3907),fix16_from_int(10000));
    fix16_sinlist[338]=fix16_div(fix16_from_int(-3746),fix16_from_int(10000));
    fix16_sinlist[339]=fix16_div(fix16_from_int(-3584),fix16_from_int(10000));
    fix16_sinlist[340]=fix16_div(fix16_from_int(-3420),fix16_from_int(10000));
    fix16_sinlist[341]=fix16_div(fix16_from_int(-3256),fix16_from_int(10000));
    fix16_sinlist[342]=fix16_div(fix16_from_int(-3090),fix16_from_int(10000));
    fix16_sinlist[343]=fix16_div(fix16_from_int(-2924),fix16_from_int(10000));
    fix16_sinlist[344]=fix16_div(fix16_from_int(-2756),fix16_from_int(10000));
    fix16_sinlist[345]=fix16_div(fix16_from_int(-2588),fix16_from_int(10000));
    fix16_sinlist[346]=fix16_div(fix16_from_int(-2419),fix16_from_int(10000));
    fix16_sinlist[347]=fix16_div(fix16_from_int(-2250),fix16_from_int(10000));
    fix16_sinlist[348]=fix16_div(fix16_from_int(-2079),fix16_from_int(10000));
    fix16_sinlist[349]=fix16_div(fix16_from_int(-1908),fix16_from_int(10000));
    fix16_sinlist[350]=fix16_div(fix16_from_int(-1736),fix16_from_int(10000));
    fix16_sinlist[351]=fix16_div(fix16_from_int(-1564),fix16_from_int(10000));
    fix16_sinlist[352]=fix16_div(fix16_from_int(-1392),fix16_from_int(10000));
    fix16_sinlist[353]=fix16_div(fix16_from_int(-1219),fix16_from_int(10000));
    fix16_sinlist[354]=fix16_div(fix16_from_int(-1045),fix16_from_int(10000));
    fix16_sinlist[355]=fix16_div(fix16_from_int(-872),fix16_from_int(10000));
    fix16_sinlist[356]=fix16_div(fix16_from_int(-698),fix16_from_int(10000));
    fix16_sinlist[357]=fix16_div(fix16_from_int(-523),fix16_from_int(10000));
    fix16_sinlist[358]=fix16_div(fix16_from_int(-349),fix16_from_int(10000));
    fix16_sinlist[359]=fix16_div(fix16_from_int(-175),fix16_from_int(10000));
    for (int x=0;x<360;x++)  fix16_sinlist_inv[x]=fix16_mul(fix16_sinlist[x],fix16_from_int(-1));
}

void fix16_coslist_init()
{
    fix16_coslist[0]=fix16_div(fix16_from_int(10000),fix16_from_int(10000));
    fix16_coslist[1]=fix16_div(fix16_from_int(9998),fix16_from_int(10000));
    fix16_coslist[2]=fix16_div(fix16_from_int(9994),fix16_from_int(10000));
    fix16_coslist[3]=fix16_div(fix16_from_int(9986),fix16_from_int(10000));
    fix16_coslist[4]=fix16_div(fix16_from_int(9976),fix16_from_int(10000));
    fix16_coslist[5]=fix16_div(fix16_from_int(9962),fix16_from_int(10000));
    fix16_coslist[6]=fix16_div(fix16_from_int(9945),fix16_from_int(10000));
    fix16_coslist[7]=fix16_div(fix16_from_int(9925),fix16_from_int(10000));
    fix16_coslist[8]=fix16_div(fix16_from_int(9903),fix16_from_int(10000));
    fix16_coslist[9]=fix16_div(fix16_from_int(9877),fix16_from_int(10000));
    fix16_coslist[10]=fix16_div(fix16_from_int(9848),fix16_from_int(10000));
    fix16_coslist[11]=fix16_div(fix16_from_int(9816),fix16_from_int(10000));
    fix16_coslist[12]=fix16_div(fix16_from_int(9781),fix16_from_int(10000));
    fix16_coslist[13]=fix16_div(fix16_from_int(9744),fix16_from_int(10000));
    fix16_coslist[14]=fix16_div(fix16_from_int(9703),fix16_from_int(10000));
    fix16_coslist[15]=fix16_div(fix16_from_int(9659),fix16_from_int(10000));
    fix16_coslist[16]=fix16_div(fix16_from_int(9613),fix16_from_int(10000));
    fix16_coslist[17]=fix16_div(fix16_from_int(9563),fix16_from_int(10000));
    fix16_coslist[18]=fix16_div(fix16_from_int(9511),fix16_from_int(10000));
    fix16_coslist[19]=fix16_div(fix16_from_int(9455),fix16_from_int(10000));
    fix16_coslist[20]=fix16_div(fix16_from_int(9397),fix16_from_int(10000));
    fix16_coslist[21]=fix16_div(fix16_from_int(9336),fix16_from_int(10000));
    fix16_coslist[22]=fix16_div(fix16_from_int(9272),fix16_from_int(10000));
    fix16_coslist[23]=fix16_div(fix16_from_int(9205),fix16_from_int(10000));
    fix16_coslist[24]=fix16_div(fix16_from_int(9135),fix16_from_int(10000));
    fix16_coslist[25]=fix16_div(fix16_from_int(9063),fix16_from_int(10000));
    fix16_coslist[26]=fix16_div(fix16_from_int(8988),fix16_from_int(10000));
    fix16_coslist[27]=fix16_div(fix16_from_int(8910),fix16_from_int(10000));
    fix16_coslist[28]=fix16_div(fix16_from_int(8829),fix16_from_int(10000));
    fix16_coslist[29]=fix16_div(fix16_from_int(8746),fix16_from_int(10000));
    fix16_coslist[30]=fix16_div(fix16_from_int(8660),fix16_from_int(10000));
    fix16_coslist[31]=fix16_div(fix16_from_int(8572),fix16_from_int(10000));
    fix16_coslist[32]=fix16_div(fix16_from_int(8480),fix16_from_int(10000));
    fix16_coslist[33]=fix16_div(fix16_from_int(8387),fix16_from_int(10000));
    fix16_coslist[34]=fix16_div(fix16_from_int(8290),fix16_from_int(10000));
    fix16_coslist[35]=fix16_div(fix16_from_int(8192),fix16_from_int(10000));
    fix16_coslist[36]=fix16_div(fix16_from_int(8090),fix16_from_int(10000));
    fix16_coslist[37]=fix16_div(fix16_from_int(7986),fix16_from_int(10000));
    fix16_coslist[38]=fix16_div(fix16_from_int(7880),fix16_from_int(10000));
    fix16_coslist[39]=fix16_div(fix16_from_int(7771),fix16_from_int(10000));
    fix16_coslist[40]=fix16_div(fix16_from_int(7660),fix16_from_int(10000));
    fix16_coslist[41]=fix16_div(fix16_from_int(7547),fix16_from_int(10000));
    fix16_coslist[42]=fix16_div(fix16_from_int(7431),fix16_from_int(10000));
    fix16_coslist[43]=fix16_div(fix16_from_int(7314),fix16_from_int(10000));
    fix16_coslist[44]=fix16_div(fix16_from_int(7193),fix16_from_int(10000));
    fix16_coslist[45]=fix16_div(fix16_from_int(7071),fix16_from_int(10000));
    fix16_coslist[46]=fix16_div(fix16_from_int(6947),fix16_from_int(10000));
    fix16_coslist[47]=fix16_div(fix16_from_int(6820),fix16_from_int(10000));
    fix16_coslist[48]=fix16_div(fix16_from_int(6691),fix16_from_int(10000));
    fix16_coslist[49]=fix16_div(fix16_from_int(6561),fix16_from_int(10000));
    fix16_coslist[50]=fix16_div(fix16_from_int(6428),fix16_from_int(10000));
    fix16_coslist[51]=fix16_div(fix16_from_int(6293),fix16_from_int(10000));
    fix16_coslist[52]=fix16_div(fix16_from_int(6157),fix16_from_int(10000));
    fix16_coslist[53]=fix16_div(fix16_from_int(6018),fix16_from_int(10000));
    fix16_coslist[54]=fix16_div(fix16_from_int(5878),fix16_from_int(10000));
    fix16_coslist[55]=fix16_div(fix16_from_int(5736),fix16_from_int(10000));
    fix16_coslist[56]=fix16_div(fix16_from_int(5592),fix16_from_int(10000));
    fix16_coslist[57]=fix16_div(fix16_from_int(5446),fix16_from_int(10000));
    fix16_coslist[58]=fix16_div(fix16_from_int(5299),fix16_from_int(10000));
    fix16_coslist[59]=fix16_div(fix16_from_int(5150),fix16_from_int(10000));
    fix16_coslist[60]=fix16_div(fix16_from_int(5000),fix16_from_int(10000));
    fix16_coslist[61]=fix16_div(fix16_from_int(4848),fix16_from_int(10000));
    fix16_coslist[62]=fix16_div(fix16_from_int(4695),fix16_from_int(10000));
    fix16_coslist[63]=fix16_div(fix16_from_int(4540),fix16_from_int(10000));
    fix16_coslist[64]=fix16_div(fix16_from_int(4384),fix16_from_int(10000));
    fix16_coslist[65]=fix16_div(fix16_from_int(4226),fix16_from_int(10000));
    fix16_coslist[66]=fix16_div(fix16_from_int(4067),fix16_from_int(10000));
    fix16_coslist[67]=fix16_div(fix16_from_int(3907),fix16_from_int(10000));
    fix16_coslist[68]=fix16_div(fix16_from_int(3746),fix16_from_int(10000));
    fix16_coslist[69]=fix16_div(fix16_from_int(3584),fix16_from_int(10000));
    fix16_coslist[70]=fix16_div(fix16_from_int(3420),fix16_from_int(10000));
    fix16_coslist[71]=fix16_div(fix16_from_int(3256),fix16_from_int(10000));
    fix16_coslist[72]=fix16_div(fix16_from_int(3090),fix16_from_int(10000));
    fix16_coslist[73]=fix16_div(fix16_from_int(2924),fix16_from_int(10000));
    fix16_coslist[74]=fix16_div(fix16_from_int(2756),fix16_from_int(10000));
    fix16_coslist[75]=fix16_div(fix16_from_int(2588),fix16_from_int(10000));
    fix16_coslist[76]=fix16_div(fix16_from_int(2419),fix16_from_int(10000));
    fix16_coslist[77]=fix16_div(fix16_from_int(2250),fix16_from_int(10000));
    fix16_coslist[78]=fix16_div(fix16_from_int(2079),fix16_from_int(10000));
    fix16_coslist[79]=fix16_div(fix16_from_int(1908),fix16_from_int(10000));
    fix16_coslist[80]=fix16_div(fix16_from_int(1736),fix16_from_int(10000));
    fix16_coslist[81]=fix16_div(fix16_from_int(1564),fix16_from_int(10000));
    fix16_coslist[82]=fix16_div(fix16_from_int(1392),fix16_from_int(10000));
    fix16_coslist[83]=fix16_div(fix16_from_int(1219),fix16_from_int(10000));
    fix16_coslist[84]=fix16_div(fix16_from_int(1045),fix16_from_int(10000));
    fix16_coslist[85]=fix16_div(fix16_from_int(872),fix16_from_int(10000));
    fix16_coslist[86]=fix16_div(fix16_from_int(698),fix16_from_int(10000));
    fix16_coslist[87]=fix16_div(fix16_from_int(523),fix16_from_int(10000));
    fix16_coslist[88]=fix16_div(fix16_from_int(349),fix16_from_int(10000));
    fix16_coslist[89]=fix16_div(fix16_from_int(175),fix16_from_int(10000));
    fix16_coslist[90]=fix16_div(fix16_from_int(0),fix16_from_int(10000));
    fix16_coslist[91]=fix16_div(fix16_from_int(-175),fix16_from_int(10000));
    fix16_coslist[92]=fix16_div(fix16_from_int(-349),fix16_from_int(10000));
    fix16_coslist[93]=fix16_div(fix16_from_int(-523),fix16_from_int(10000));
    fix16_coslist[94]=fix16_div(fix16_from_int(-698),fix16_from_int(10000));
    fix16_coslist[95]=fix16_div(fix16_from_int(-872),fix16_from_int(10000));
    fix16_coslist[96]=fix16_div(fix16_from_int(-1045),fix16_from_int(10000));
    fix16_coslist[97]=fix16_div(fix16_from_int(-1219),fix16_from_int(10000));
    fix16_coslist[98]=fix16_div(fix16_from_int(-1392),fix16_from_int(10000));
    fix16_coslist[99]=fix16_div(fix16_from_int(-1564),fix16_from_int(10000));
    fix16_coslist[100]=fix16_div(fix16_from_int(-1736),fix16_from_int(10000));
    fix16_coslist[101]=fix16_div(fix16_from_int(-1908),fix16_from_int(10000));
    fix16_coslist[102]=fix16_div(fix16_from_int(-2079),fix16_from_int(10000));
    fix16_coslist[103]=fix16_div(fix16_from_int(-2250),fix16_from_int(10000));
    fix16_coslist[104]=fix16_div(fix16_from_int(-2419),fix16_from_int(10000));
    fix16_coslist[105]=fix16_div(fix16_from_int(-2588),fix16_from_int(10000));
    fix16_coslist[106]=fix16_div(fix16_from_int(-2756),fix16_from_int(10000));
    fix16_coslist[107]=fix16_div(fix16_from_int(-2924),fix16_from_int(10000));
    fix16_coslist[108]=fix16_div(fix16_from_int(-3090),fix16_from_int(10000));
    fix16_coslist[109]=fix16_div(fix16_from_int(-3256),fix16_from_int(10000));
    fix16_coslist[110]=fix16_div(fix16_from_int(-3420),fix16_from_int(10000));
    fix16_coslist[111]=fix16_div(fix16_from_int(-3584),fix16_from_int(10000));
    fix16_coslist[112]=fix16_div(fix16_from_int(-3746),fix16_from_int(10000));
    fix16_coslist[113]=fix16_div(fix16_from_int(-3907),fix16_from_int(10000));
    fix16_coslist[114]=fix16_div(fix16_from_int(-4067),fix16_from_int(10000));
    fix16_coslist[115]=fix16_div(fix16_from_int(-4226),fix16_from_int(10000));
    fix16_coslist[116]=fix16_div(fix16_from_int(-4384),fix16_from_int(10000));
    fix16_coslist[117]=fix16_div(fix16_from_int(-4540),fix16_from_int(10000));
    fix16_coslist[118]=fix16_div(fix16_from_int(-4695),fix16_from_int(10000));
    fix16_coslist[119]=fix16_div(fix16_from_int(-4848),fix16_from_int(10000));
    fix16_coslist[120]=fix16_div(fix16_from_int(-5000),fix16_from_int(10000));
    fix16_coslist[121]=fix16_div(fix16_from_int(-5150),fix16_from_int(10000));
    fix16_coslist[122]=fix16_div(fix16_from_int(-5299),fix16_from_int(10000));
    fix16_coslist[123]=fix16_div(fix16_from_int(-5446),fix16_from_int(10000));
    fix16_coslist[124]=fix16_div(fix16_from_int(-5592),fix16_from_int(10000));
    fix16_coslist[125]=fix16_div(fix16_from_int(-5736),fix16_from_int(10000));
    fix16_coslist[126]=fix16_div(fix16_from_int(-5878),fix16_from_int(10000));
    fix16_coslist[127]=fix16_div(fix16_from_int(-6018),fix16_from_int(10000));
    fix16_coslist[128]=fix16_div(fix16_from_int(-6157),fix16_from_int(10000));
    fix16_coslist[129]=fix16_div(fix16_from_int(-6293),fix16_from_int(10000));
    fix16_coslist[130]=fix16_div(fix16_from_int(-6428),fix16_from_int(10000));
    fix16_coslist[131]=fix16_div(fix16_from_int(-6561),fix16_from_int(10000));
    fix16_coslist[132]=fix16_div(fix16_from_int(-6691),fix16_from_int(10000));
    fix16_coslist[133]=fix16_div(fix16_from_int(-6820),fix16_from_int(10000));
    fix16_coslist[134]=fix16_div(fix16_from_int(-6947),fix16_from_int(10000));
    fix16_coslist[135]=fix16_div(fix16_from_int(-7071),fix16_from_int(10000));
    fix16_coslist[136]=fix16_div(fix16_from_int(-7193),fix16_from_int(10000));
    fix16_coslist[137]=fix16_div(fix16_from_int(-7314),fix16_from_int(10000));
    fix16_coslist[138]=fix16_div(fix16_from_int(-7431),fix16_from_int(10000));
    fix16_coslist[139]=fix16_div(fix16_from_int(-7547),fix16_from_int(10000));
    fix16_coslist[140]=fix16_div(fix16_from_int(-7660),fix16_from_int(10000));
    fix16_coslist[141]=fix16_div(fix16_from_int(-7771),fix16_from_int(10000));
    fix16_coslist[142]=fix16_div(fix16_from_int(-7880),fix16_from_int(10000));
    fix16_coslist[143]=fix16_div(fix16_from_int(-7986),fix16_from_int(10000));
    fix16_coslist[144]=fix16_div(fix16_from_int(-8090),fix16_from_int(10000));
    fix16_coslist[145]=fix16_div(fix16_from_int(-8192),fix16_from_int(10000));
    fix16_coslist[146]=fix16_div(fix16_from_int(-8290),fix16_from_int(10000));
    fix16_coslist[147]=fix16_div(fix16_from_int(-8387),fix16_from_int(10000));
    fix16_coslist[148]=fix16_div(fix16_from_int(-8480),fix16_from_int(10000));
    fix16_coslist[149]=fix16_div(fix16_from_int(-8572),fix16_from_int(10000));
    fix16_coslist[150]=fix16_div(fix16_from_int(-8660),fix16_from_int(10000));
    fix16_coslist[151]=fix16_div(fix16_from_int(-8746),fix16_from_int(10000));
    fix16_coslist[152]=fix16_div(fix16_from_int(-8829),fix16_from_int(10000));
    fix16_coslist[153]=fix16_div(fix16_from_int(-8910),fix16_from_int(10000));
    fix16_coslist[154]=fix16_div(fix16_from_int(-8988),fix16_from_int(10000));
    fix16_coslist[155]=fix16_div(fix16_from_int(-9063),fix16_from_int(10000));
    fix16_coslist[156]=fix16_div(fix16_from_int(-9135),fix16_from_int(10000));
    fix16_coslist[157]=fix16_div(fix16_from_int(-9205),fix16_from_int(10000));
    fix16_coslist[158]=fix16_div(fix16_from_int(-9272),fix16_from_int(10000));
    fix16_coslist[159]=fix16_div(fix16_from_int(-9336),fix16_from_int(10000));
    fix16_coslist[160]=fix16_div(fix16_from_int(-9397),fix16_from_int(10000));
    fix16_coslist[161]=fix16_div(fix16_from_int(-9455),fix16_from_int(10000));
    fix16_coslist[162]=fix16_div(fix16_from_int(-9511),fix16_from_int(10000));
    fix16_coslist[163]=fix16_div(fix16_from_int(-9563),fix16_from_int(10000));
    fix16_coslist[164]=fix16_div(fix16_from_int(-9613),fix16_from_int(10000));
    fix16_coslist[165]=fix16_div(fix16_from_int(-9659),fix16_from_int(10000));
    fix16_coslist[166]=fix16_div(fix16_from_int(-9703),fix16_from_int(10000));
    fix16_coslist[167]=fix16_div(fix16_from_int(-9744),fix16_from_int(10000));
    fix16_coslist[164]=fix16_div(fix16_from_int(-9613),fix16_from_int(10000));
    fix16_coslist[165]=fix16_div(fix16_from_int(-9659),fix16_from_int(10000));
    fix16_coslist[166]=fix16_div(fix16_from_int(-9703),fix16_from_int(10000));
    fix16_coslist[167]=fix16_div(fix16_from_int(-9744),fix16_from_int(10000));
    fix16_coslist[168]=fix16_div(fix16_from_int(-9781),fix16_from_int(10000));
    fix16_coslist[169]=fix16_div(fix16_from_int(-9816),fix16_from_int(10000));
    fix16_coslist[170]=fix16_div(fix16_from_int(-9848),fix16_from_int(10000));
    fix16_coslist[171]=fix16_div(fix16_from_int(-9877),fix16_from_int(10000));
    fix16_coslist[172]=fix16_div(fix16_from_int(-9903),fix16_from_int(10000));
    fix16_coslist[173]=fix16_div(fix16_from_int(-9925),fix16_from_int(10000));
    fix16_coslist[174]=fix16_div(fix16_from_int(-9945),fix16_from_int(10000));
    fix16_coslist[175]=fix16_div(fix16_from_int(-9962),fix16_from_int(10000));
    fix16_coslist[176]=fix16_div(fix16_from_int(-9976),fix16_from_int(10000));
    fix16_coslist[177]=fix16_div(fix16_from_int(-9986),fix16_from_int(10000));
    fix16_coslist[178]=fix16_div(fix16_from_int(-9994),fix16_from_int(10000));
    fix16_coslist[179]=fix16_div(fix16_from_int(-9998),fix16_from_int(10000));
    fix16_coslist[180]=fix16_div(fix16_from_int(-10000),fix16_from_int(10000));
    fix16_coslist[181]=fix16_div(fix16_from_int(-9998),fix16_from_int(10000));
    fix16_coslist[182]=fix16_div(fix16_from_int(-9994),fix16_from_int(10000));
    fix16_coslist[183]=fix16_div(fix16_from_int(-9986),fix16_from_int(10000));
    fix16_coslist[184]=fix16_div(fix16_from_int(-9976),fix16_from_int(10000));
    fix16_coslist[185]=fix16_div(fix16_from_int(-9962),fix16_from_int(10000));
    fix16_coslist[186]=fix16_div(fix16_from_int(-9945),fix16_from_int(10000));
    fix16_coslist[187]=fix16_div(fix16_from_int(-9925),fix16_from_int(10000));
    fix16_coslist[188]=fix16_div(fix16_from_int(-9903),fix16_from_int(10000));
    fix16_coslist[189]=fix16_div(fix16_from_int(-9877),fix16_from_int(10000));
    fix16_coslist[190]=fix16_div(fix16_from_int(-9848),fix16_from_int(10000));
    fix16_coslist[191]=fix16_div(fix16_from_int(-9816),fix16_from_int(10000));
    fix16_coslist[192]=fix16_div(fix16_from_int(-9781),fix16_from_int(10000));
    fix16_coslist[193]=fix16_div(fix16_from_int(-9744),fix16_from_int(10000));
    fix16_coslist[194]=fix16_div(fix16_from_int(-9703),fix16_from_int(10000));
    fix16_coslist[195]=fix16_div(fix16_from_int(-9659),fix16_from_int(10000));
    fix16_coslist[196]=fix16_div(fix16_from_int(-9613),fix16_from_int(10000));
    fix16_coslist[197]=fix16_div(fix16_from_int(-9563),fix16_from_int(10000));
    fix16_coslist[198]=fix16_div(fix16_from_int(-9511),fix16_from_int(10000));
    fix16_coslist[199]=fix16_div(fix16_from_int(-9455),fix16_from_int(10000));
    fix16_coslist[200]=fix16_div(fix16_from_int(-9397),fix16_from_int(10000));
    fix16_coslist[201]=fix16_div(fix16_from_int(-9336),fix16_from_int(10000));
    fix16_coslist[202]=fix16_div(fix16_from_int(-9272),fix16_from_int(10000));
    fix16_coslist[203]=fix16_div(fix16_from_int(-9205),fix16_from_int(10000));
    fix16_coslist[204]=fix16_div(fix16_from_int(-9135),fix16_from_int(10000));
    fix16_coslist[205]=fix16_div(fix16_from_int(-9063),fix16_from_int(10000));
    fix16_coslist[206]=fix16_div(fix16_from_int(-8988),fix16_from_int(10000));
    fix16_coslist[207]=fix16_div(fix16_from_int(-8910),fix16_from_int(10000));
    fix16_coslist[208]=fix16_div(fix16_from_int(-8829),fix16_from_int(10000));
    fix16_coslist[209]=fix16_div(fix16_from_int(-8746),fix16_from_int(10000));
    fix16_coslist[210]=fix16_div(fix16_from_int(-8660),fix16_from_int(10000));
    fix16_coslist[211]=fix16_div(fix16_from_int(-8572),fix16_from_int(10000));
    fix16_coslist[212]=fix16_div(fix16_from_int(-8480),fix16_from_int(10000));
    fix16_coslist[213]=fix16_div(fix16_from_int(-8387),fix16_from_int(10000));
    fix16_coslist[214]=fix16_div(fix16_from_int(-8290),fix16_from_int(10000));
    fix16_coslist[215]=fix16_div(fix16_from_int(-8192),fix16_from_int(10000));
    fix16_coslist[216]=fix16_div(fix16_from_int(-8090),fix16_from_int(10000));
    fix16_coslist[217]=fix16_div(fix16_from_int(-7986),fix16_from_int(10000));
    fix16_coslist[218]=fix16_div(fix16_from_int(-7880),fix16_from_int(10000));
    fix16_coslist[219]=fix16_div(fix16_from_int(-7771),fix16_from_int(10000));
    fix16_coslist[220]=fix16_div(fix16_from_int(-7660),fix16_from_int(10000));
    fix16_coslist[221]=fix16_div(fix16_from_int(-7547),fix16_from_int(10000));
    fix16_coslist[222]=fix16_div(fix16_from_int(-7431),fix16_from_int(10000));
    fix16_coslist[223]=fix16_div(fix16_from_int(-7314),fix16_from_int(10000));
    fix16_coslist[224]=fix16_div(fix16_from_int(-7193),fix16_from_int(10000));
    fix16_coslist[225]=fix16_div(fix16_from_int(-7071),fix16_from_int(10000));
    fix16_coslist[226]=fix16_div(fix16_from_int(-6947),fix16_from_int(10000));
    fix16_coslist[227]=fix16_div(fix16_from_int(-6820),fix16_from_int(10000));
    fix16_coslist[228]=fix16_div(fix16_from_int(-6691),fix16_from_int(10000));
    fix16_coslist[229]=fix16_div(fix16_from_int(-6561),fix16_from_int(10000));
    fix16_coslist[230]=fix16_div(fix16_from_int(-6428),fix16_from_int(10000));
    fix16_coslist[231]=fix16_div(fix16_from_int(-6293),fix16_from_int(10000));
    fix16_coslist[232]=fix16_div(fix16_from_int(-6157),fix16_from_int(10000));
    fix16_coslist[233]=fix16_div(fix16_from_int(-6018),fix16_from_int(10000));
    fix16_coslist[234]=fix16_div(fix16_from_int(-5878),fix16_from_int(10000));
    fix16_coslist[235]=fix16_div(fix16_from_int(-5736),fix16_from_int(10000));
    fix16_coslist[236]=fix16_div(fix16_from_int(-5592),fix16_from_int(10000));
    fix16_coslist[237]=fix16_div(fix16_from_int(-5446),fix16_from_int(10000));
    fix16_coslist[238]=fix16_div(fix16_from_int(-5299),fix16_from_int(10000));
    fix16_coslist[239]=fix16_div(fix16_from_int(-5150),fix16_from_int(10000));
    fix16_coslist[240]=fix16_div(fix16_from_int(-5000),fix16_from_int(10000));
    fix16_coslist[241]=fix16_div(fix16_from_int(-4848),fix16_from_int(10000));
    fix16_coslist[242]=fix16_div(fix16_from_int(-4695),fix16_from_int(10000));
    fix16_coslist[243]=fix16_div(fix16_from_int(-4540),fix16_from_int(10000));
    fix16_coslist[244]=fix16_div(fix16_from_int(-4384),fix16_from_int(10000));
    fix16_coslist[245]=fix16_div(fix16_from_int(-4226),fix16_from_int(10000));
    fix16_coslist[246]=fix16_div(fix16_from_int(-4067),fix16_from_int(10000));
    fix16_coslist[247]=fix16_div(fix16_from_int(-3907),fix16_from_int(10000));
    fix16_coslist[248]=fix16_div(fix16_from_int(-3746),fix16_from_int(10000));
    fix16_coslist[249]=fix16_div(fix16_from_int(-3584),fix16_from_int(10000));
    fix16_coslist[250]=fix16_div(fix16_from_int(-3420),fix16_from_int(10000));
    fix16_coslist[251]=fix16_div(fix16_from_int(-3256),fix16_from_int(10000));
    fix16_coslist[252]=fix16_div(fix16_from_int(-3090),fix16_from_int(10000));
    fix16_coslist[253]=fix16_div(fix16_from_int(-2924),fix16_from_int(10000));
    fix16_coslist[254]=fix16_div(fix16_from_int(-2756),fix16_from_int(10000));
    fix16_coslist[255]=fix16_div(fix16_from_int(-2588),fix16_from_int(10000));
    fix16_coslist[256]=fix16_div(fix16_from_int(-2419),fix16_from_int(10000));
    fix16_coslist[257]=fix16_div(fix16_from_int(-2250),fix16_from_int(10000));
    fix16_coslist[258]=fix16_div(fix16_from_int(-2079),fix16_from_int(10000));
    fix16_coslist[259]=fix16_div(fix16_from_int(-1908),fix16_from_int(10000));
    fix16_coslist[260]=fix16_div(fix16_from_int(-1736),fix16_from_int(10000));
    fix16_coslist[261]=fix16_div(fix16_from_int(-1564),fix16_from_int(10000));
    fix16_coslist[262]=fix16_div(fix16_from_int(-1392),fix16_from_int(10000));
    fix16_coslist[263]=fix16_div(fix16_from_int(-1219),fix16_from_int(10000));
    fix16_coslist[264]=fix16_div(fix16_from_int(-1045),fix16_from_int(10000));
    fix16_coslist[265]=fix16_div(fix16_from_int(-872),fix16_from_int(10000));
    fix16_coslist[266]=fix16_div(fix16_from_int(-698),fix16_from_int(10000));
    fix16_coslist[267]=fix16_div(fix16_from_int(-523),fix16_from_int(10000));
    fix16_coslist[268]=fix16_div(fix16_from_int(-349),fix16_from_int(10000));
    fix16_coslist[269]=fix16_div(fix16_from_int(-175),fix16_from_int(10000));
    fix16_coslist[270]=fix16_div(fix16_from_int(-0),fix16_from_int(10000));
    fix16_coslist[271]=fix16_div(fix16_from_int(175),fix16_from_int(10000));
    fix16_coslist[272]=fix16_div(fix16_from_int(349),fix16_from_int(10000));
    fix16_coslist[273]=fix16_div(fix16_from_int(523),fix16_from_int(10000));
    fix16_coslist[274]=fix16_div(fix16_from_int(698),fix16_from_int(10000));
    fix16_coslist[275]=fix16_div(fix16_from_int(872),fix16_from_int(10000));
    fix16_coslist[276]=fix16_div(fix16_from_int(1045),fix16_from_int(10000));
    fix16_coslist[277]=fix16_div(fix16_from_int(1219),fix16_from_int(10000));
    fix16_coslist[278]=fix16_div(fix16_from_int(1392),fix16_from_int(10000));
    fix16_coslist[279]=fix16_div(fix16_from_int(1564),fix16_from_int(10000));
    fix16_coslist[280]=fix16_div(fix16_from_int(1736),fix16_from_int(10000));
    fix16_coslist[281]=fix16_div(fix16_from_int(1908),fix16_from_int(10000));
    fix16_coslist[282]=fix16_div(fix16_from_int(2079),fix16_from_int(10000));
    fix16_coslist[283]=fix16_div(fix16_from_int(2250),fix16_from_int(10000));
    fix16_coslist[284]=fix16_div(fix16_from_int(2419),fix16_from_int(10000));
    fix16_coslist[285]=fix16_div(fix16_from_int(2588),fix16_from_int(10000));
    fix16_coslist[286]=fix16_div(fix16_from_int(2756),fix16_from_int(10000));
    fix16_coslist[287]=fix16_div(fix16_from_int(2924),fix16_from_int(10000));
    fix16_coslist[288]=fix16_div(fix16_from_int(3090),fix16_from_int(10000));
    fix16_coslist[289]=fix16_div(fix16_from_int(3256),fix16_from_int(10000));
    fix16_coslist[290]=fix16_div(fix16_from_int(3420),fix16_from_int(10000));
    fix16_coslist[291]=fix16_div(fix16_from_int(3584),fix16_from_int(10000));
    fix16_coslist[292]=fix16_div(fix16_from_int(3746),fix16_from_int(10000));
    fix16_coslist[293]=fix16_div(fix16_from_int(3907),fix16_from_int(10000));
    fix16_coslist[294]=fix16_div(fix16_from_int(4067),fix16_from_int(10000));
    fix16_coslist[295]=fix16_div(fix16_from_int(4226),fix16_from_int(10000));
    fix16_coslist[296]=fix16_div(fix16_from_int(4384),fix16_from_int(10000));
    fix16_coslist[297]=fix16_div(fix16_from_int(4540),fix16_from_int(10000));
    fix16_coslist[298]=fix16_div(fix16_from_int(4695),fix16_from_int(10000));
    fix16_coslist[299]=fix16_div(fix16_from_int(4848),fix16_from_int(10000));
    fix16_coslist[300]=fix16_div(fix16_from_int(5000),fix16_from_int(10000));
    fix16_coslist[301]=fix16_div(fix16_from_int(5150),fix16_from_int(10000));
    fix16_coslist[302]=fix16_div(fix16_from_int(5299),fix16_from_int(10000));
    fix16_coslist[303]=fix16_div(fix16_from_int(5446),fix16_from_int(10000));
    fix16_coslist[304]=fix16_div(fix16_from_int(5592),fix16_from_int(10000));
    fix16_coslist[305]=fix16_div(fix16_from_int(5736),fix16_from_int(10000));
    fix16_coslist[306]=fix16_div(fix16_from_int(5878),fix16_from_int(10000));
    fix16_coslist[307]=fix16_div(fix16_from_int(6018),fix16_from_int(10000));
    fix16_coslist[308]=fix16_div(fix16_from_int(6157),fix16_from_int(10000));
    fix16_coslist[309]=fix16_div(fix16_from_int(6293),fix16_from_int(10000));
    fix16_coslist[310]=fix16_div(fix16_from_int(6428),fix16_from_int(10000));
    fix16_coslist[311]=fix16_div(fix16_from_int(6561),fix16_from_int(10000));
    fix16_coslist[312]=fix16_div(fix16_from_int(6691),fix16_from_int(10000));
    fix16_coslist[313]=fix16_div(fix16_from_int(6820),fix16_from_int(10000));
    fix16_coslist[314]=fix16_div(fix16_from_int(6947),fix16_from_int(10000));
    fix16_coslist[315]=fix16_div(fix16_from_int(7071),fix16_from_int(10000));
    fix16_coslist[316]=fix16_div(fix16_from_int(7193),fix16_from_int(10000));
    fix16_coslist[317]=fix16_div(fix16_from_int(7314),fix16_from_int(10000));
    fix16_coslist[318]=fix16_div(fix16_from_int(7431),fix16_from_int(10000));
    fix16_coslist[318]=fix16_div(fix16_from_int(7431),fix16_from_int(10000));
    fix16_coslist[319]=fix16_div(fix16_from_int(7547),fix16_from_int(10000));
    fix16_coslist[320]=fix16_div(fix16_from_int(7660),fix16_from_int(10000));
    fix16_coslist[321]=fix16_div(fix16_from_int(7771),fix16_from_int(10000));
    fix16_coslist[322]=fix16_div(fix16_from_int(7880),fix16_from_int(10000));
    fix16_coslist[323]=fix16_div(fix16_from_int(7986),fix16_from_int(10000));
    fix16_coslist[324]=fix16_div(fix16_from_int(8090),fix16_from_int(10000));
    fix16_coslist[325]=fix16_div(fix16_from_int(8192),fix16_from_int(10000));
    fix16_coslist[326]=fix16_div(fix16_from_int(8290),fix16_from_int(10000));
    fix16_coslist[327]=fix16_div(fix16_from_int(8387),fix16_from_int(10000));
    fix16_coslist[328]=fix16_div(fix16_from_int(8480),fix16_from_int(10000));
    fix16_coslist[329]=fix16_div(fix16_from_int(8572),fix16_from_int(10000));
    fix16_coslist[330]=fix16_div(fix16_from_int(8660),fix16_from_int(10000));
    fix16_coslist[331]=fix16_div(fix16_from_int(8746),fix16_from_int(10000));
    fix16_coslist[332]=fix16_div(fix16_from_int(8829),fix16_from_int(10000));
    fix16_coslist[333]=fix16_div(fix16_from_int(8910),fix16_from_int(10000));
    fix16_coslist[334]=fix16_div(fix16_from_int(8988),fix16_from_int(10000));
    fix16_coslist[335]=fix16_div(fix16_from_int(9063),fix16_from_int(10000));
    fix16_coslist[336]=fix16_div(fix16_from_int(9135),fix16_from_int(10000));
    fix16_coslist[337]=fix16_div(fix16_from_int(9205),fix16_from_int(10000));
    fix16_coslist[338]=fix16_div(fix16_from_int(9272),fix16_from_int(10000));
    fix16_coslist[339]=fix16_div(fix16_from_int(9336),fix16_from_int(10000));
    fix16_coslist[340]=fix16_div(fix16_from_int(9397),fix16_from_int(10000));
    fix16_coslist[341]=fix16_div(fix16_from_int(9455),fix16_from_int(10000));
    fix16_coslist[342]=fix16_div(fix16_from_int(9511),fix16_from_int(10000));
    fix16_coslist[343]=fix16_div(fix16_from_int(9563),fix16_from_int(10000));
    fix16_coslist[344]=fix16_div(fix16_from_int(9613),fix16_from_int(10000));
    fix16_coslist[345]=fix16_div(fix16_from_int(9659),fix16_from_int(10000));
    fix16_coslist[346]=fix16_div(fix16_from_int(9703),fix16_from_int(10000));
    fix16_coslist[347]=fix16_div(fix16_from_int(9744),fix16_from_int(10000));
    fix16_coslist[348]=fix16_div(fix16_from_int(9781),fix16_from_int(10000));
    fix16_coslist[349]=fix16_div(fix16_from_int(9816),fix16_from_int(10000));
    fix16_coslist[350]=fix16_div(fix16_from_int(9848),fix16_from_int(10000));
    fix16_coslist[351]=fix16_div(fix16_from_int(9877),fix16_from_int(10000));
    fix16_coslist[352]=fix16_div(fix16_from_int(9903),fix16_from_int(10000));
    fix16_coslist[353]=fix16_div(fix16_from_int(9925),fix16_from_int(10000));
    fix16_coslist[354]=fix16_div(fix16_from_int(9945),fix16_from_int(10000));
    fix16_coslist[355]=fix16_div(fix16_from_int(9962),fix16_from_int(10000));
    fix16_coslist[356]=fix16_div(fix16_from_int(9976),fix16_from_int(10000));
    fix16_coslist[357]=fix16_div(fix16_from_int(9986),fix16_from_int(10000));
    fix16_coslist[358]=fix16_div(fix16_from_int(9994),fix16_from_int(10000));
    fix16_coslist[359]=fix16_div(fix16_from_int(9998),fix16_from_int(10000));

}

#endif